Package org.apache.ignite.internal.management.snapshot

## Class SnapshotStatusTask.SnapshotStatus

- java.lang.Object
- - org.apache.ignite.internal.management.snapshot.SnapshotStatusTask.SnapshotStatus

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  SnapshotStatusTask

    public static class SnapshotStatusTask.SnapshotStatus
    extends Object
    implements Serializable

Snapshot operation status.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SnapshotStatus​(SnapshotStatusTask.SnapshotOperation op, String name, int incIdx, String requestId, long startTime, Map<UUID,​T5<Long,​Long,​Long,​Long,​Long>> progress)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `incrementIndex()`
`String` `name()`
`SnapshotStatusTask.SnapshotOperation` `operation()`
`Map<UUID,​T5<Long,​Long,​Long,​Long,​Long>>` `progress()`
`String` `requestId()`
`long` `startTime()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotStatus

    public SnapshotStatus​(SnapshotStatusTask.SnapshotOperation op,
                          String name,
                          int incIdx,
                          String requestId,
                          long startTime,
                          Map<UUID,​T5<Long,​Long,​Long,​Long,​Long>> progress)

### Method Detail

#### operation

    public SnapshotStatusTask.SnapshotOperation operation()

Returns:
  Operation type.

#### name

    public String name()

Returns:
  Snapshot name.

#### incrementIndex

    public int incrementIndex()

Returns:
  Incremental snapshot index.

#### requestId

    public String requestId()

Returns:
  Request ID.

#### startTime

    public long startTime()

Returns:
  Start time.

#### progress

    public Map<UUID,​T5<Long,​Long,​Long,​Long,​Long>> progress()

Returns:
  Progress of operation on nodes.